##############################################################################
##
## Zen_PowerShell_Script_strings.psd1
##
## by Actian Corporation (http://www.actian.com/zen)
##
## Localized strings for Actian Zen PowerShell scripts.
##
##############################################################################
@{
    # High level error checks for all Zen PowerShell scripts.
    errNoProductType="エラー: インストール構成ファイル '{0}' を読み込めません。"
    errNoWGInstall="エラー: このオペレーティング システムでは、Zen Workgroup Engine のインストールはサポートされていません。"
    errNoWG64="エラー: Zen Workgroup Engine は、32 ビット システムにのみインストールできます。"
    errNoRPT32="エラー: 'reporting' オプションは、64 ビット Windows Nano Server システムでのみ使用できます。"
    errNoPSQL="エラー：互換性のないバージョンの PSQL が現在インストールされています。Zen をインストールする前に、互換性のないバージョンをアンインストールしてください。"
    errNoOtherPsql="エラー: Zen '{0}' は、'{1}' が存在する場合にはインストールできません。"
    errNoArm64="エラー: 現時点では、64 ビット ARM システムへの Zen のインストールはサポートされていません。"
    errUnknown="エラー: スクリプトで不明なエラーが発生しました。上に表示されるメッセージを確認してください。"
    errWrongPlatform="エラー: このパッケージは {0} プラットフォーム用ですが、検出されたプラットフォームは {1} です。"

    # Log file.
    infoStart=         "情報: 開始                            : {0}"
    infoCulture=       "情報: カルチャ                        : {0}"
    infoCompName=      "情報: コンピューター名                : {0}"
    infoProcNum=       "情報: プロセッサ数                    : {0}"
    infoWinArch=       "情報: プロセッサ アーキテクチャ       : {0}"
    infoWinPlat=       "情報: OS バージョン プラットフォーム  : {0}"
    infoWinVer=        "情報: OS バージョン                   : {0}"
    infoIs64Bit=       "情報: 64 ビット OS                    : {0}"
    infoCLRVer=        "情報: 共通言語ランタイム バージョン   : {0}"
    infoUserName=      "情報: ユーザー名                      : {0}"
    infoUserDomain=    "情報: ユーザー ドメイン               : {0}"
    infoPSVer=         "情報: PowerShell バージョン           : {0}"
    infoPSCLRVer=      "情報: PowerShell CLR バージョン       : {0}"
    infoFWDomainPS=    "情報: ファイアウォール ドメイン プロファイルの状態     : {0}"
    infoFWPrivatePS=   "情報: ファイアウォール プライベート プロファイルの状態 : {0}"
    infoFWPublicPS=    "情報: ファイアウォール パブリック プロファイルの状態   : {0}"
    infoScriptName=    "情報: スクリプト名                    : {0}"
    infoScriptPath=    "情報: スクリプト パス                 : {0}"
    infoUpdating=      "情報: 既存の Zen の更新              : {0}"
    infoRunning=       "'{0} {1}' を実行しています。お待ちください..."
    infoEnd=         "情報: 終了                            : {0}"
    completeInstallMsg="+++++ Zen のインストールが完了しました。ログ ファイル '{0}' を参照してください。"
    completeRemoveMsg="+++++ Zen の削除が完了しました。ログ ファイル '{0}' を参照してください。"

    # Service start/stop.
    doStopSvcs="+++++ 実行中の '{0}' サービスを確認しています..."
    passStopSvcs="サービス '{0}' を正常に停止しました。"
    warnStopSvcs="警告: サービス '{0}' を停止できませんでした。"
    notFoundRunningSvcs="実行されている '{0}' サービスはありません。"
    notFoundSvcs="開始する '{0}' サービスはありません。"
    skipAddSvc="サービスの作成をスキップします: サービス名 '{0}' は既に存在します。"
    warnNoSvcFile="警告: '{0}' が見つからないため、サービス名 '{1}' を作成できません。"
    passAddSvc="新しいサービス '{0}' を正常に作成しました。"
    errAddSvc="エラー: 新しいサービス '{0}' を作成できませんでした。"
    doAddSvc="+++++ Zen サービスを作成しています..."
    doRemoveSvc="+++++ Zen サービスを削除しています。"
    svcDesc="{0} を管理します。"
    warnSvcNotStopped="警告: サービス '{0}' は '停止' 状態でないため、削除できません。"
    passRemoveSvc="サービス '{0}' を正常に削除しました。"
    warnUnableToStopSvc="警告: サービス '{0}' を削除できません。サービス コントロール ユーティリティは '{1}' を返しました。"
    doStartPsqlSvcs="+++++ Zen サービスを開始しています..."
    passStartSvcs="サービス '{0}' を正常に開始しました。"
    skipStartSvcs="'{0}' サービスは既に実行されています。"
    errStartSvcs="エラー: サービス '{0}' を開始できません。"

    # Unpacking files.
    doUnpack="+++++ ファイルをアンパックしています。"
    passUnpack="'{0}' の内容を '{1}' に正常に展開しました。"
    warnUnpack="警告: '{0}' の内容を '{1}' に展開できませんでした。"

    # Remove files.
    doDelFiles="+++++ {0} 以外のファイルを削除しています。"
    passDelFiles="非 {0} のファイル '{1}' を正常に削除しました。"
    warnDelFiles="警告: 非 {0} のファイル '{1}' を削除できませんでした。"

    # Updating ACLs.
    doUpdateACLs="ACL '{0}' を '{1}' に適用しています。"
    passUpdateACLs="ACL '{0}' を '{1}' に正常に適用しました。"
    warnUpdateACLs1="警告: UpdateACLs 関数に正しくない数の引数が渡されました。"
    warnUpdateACLs2="警告: '{0}' が見つからないため、ACL '{1}' は適用されませんでした。"
    warnUpdateACLs3="警告: '{0}' の ACL を '{1}' に更新できませんでした。"

    # Reading from config file.
    doReadCfgFile="+++++ {0} の値を読み取っています..."
    addVarFromCfg="既存の変数 '{0}' を '{1}' に更新しています。"
    updateVarFromCfg="変数 '{0}' を '{1}' に作成しています。"
    errNoCfgFile="エラー: 構成ファイル '{0}' が見つからないため、インストールを続行できません。"

    # Performance Counter Sets.
    doUpdatePerfMonCtr="+++++ Windows パフォーマンス モニターの Zen カウンター セットをアンロードしています。"
    warnNotFoundPerfMonCtrCfg="警告: パフォーマンス モニターのカウンター セットを有効にする構成ファイル '{0}' が見つかりません。アンロードをスキップします。"
    passUpdatePerfMonCtr="Windows パフォーマンス モニターの Zen カウンター セットを正常にアンロードしました。"
    warnUpdatePerfMonCtr="警告: パフォーマンス モニターの Zen カウンター セットをアンロードできませんでした。'Unlodctr.exe /m:{0}' は '{1}, {2}' を返しました。"
    doLoadPerfMonCtr="+++++ Windows パフォーマンス モニターの Zen カウンター セットを読み込んでいます。"
    #warnNotFoundPerfMonCtrCfg - see UnloadPerfMonCounterSets
    passLoadPerfMonCtr="Windows パフォーマンス モニターの Zen カウンター セットを正常に読み込みました。"
    warnLoadPerfMonCtr="警告: Windows パフォーマンス モニターの Zen カウンター セットを読み込めませんでした。'Lodctr.exe {0}' は '{1}, {2}' を返しました。"

    # Remove obsolete files.
    doRemoveObsoleteFiles="+++++ アップグレード中に古いファイルを削除しました。"
    passRemoveObsoleteFiles="古いファイル '{0}' を正常に削除しました。"
    warnRemoveObsoleteFiles="警告: 古いファイル '{0}' を削除できませんでした。"

    # Path env var edits.
    doUpdatePath="+++++ %PATH% 環境変数を確認しています..."
    doRemoveFromPath="+++++ %PATH% 環境変数から '{0}' を削除しています。"
    skipUpdatePath="{0} %PATH% 環境変数には、'{1}' が既に含まれています。"
    passUpdatePath="{1} %PATH% 環境変数に '{0}' を正常に追加しました。"
    warnUpdatePath="警告: {1} %PATH% 環境変数に '{0}' を追加できませんでした。"
    warnRemoveFromPathArgs="警告: RemoveStrFromPath 関数に正しくない数の引数が渡されました。"
    passRemoveFromPath="{1} %PATH% 環境変数から '{0}' を正常に削除しました。"
    warnRemoveFromPath="警告: {1} %PATH% 環境変数から '{0}' を削除できませんでした。"

    # Registry edits.
    doPsqlReg="+++++ システム レジストリを更新しています..."
    doRemovePsqlReg="+++++ レジストリ キー '{0}' を削除しています。"
    skipCreateRootKey="ルート キー '{0}' は既に存在します。"
    addRootKey="ルート キー '{0}' を作成しています。"
    skipInstallInfoKey="InstallInfo キー '{0}' は既に存在します。"
    addInstallInfoKey="InstallInfo キー '{0}' を作成しています。"
    addInstallInfoValues="InstallInfo 値を設定しています。詳細については、ログ ファイル '{0}' を参照してください。"
    skipElsKey="ELS キー '{0}' は既に存在します。"
    addElsKey="ELS キー '{0}' を作成しています。"
    addElsValues="ELS 値を設定しています。詳細については、ログ ファイル '{0}' を参照してください。"
    addDBNamesDirectory="既存の DBNAMES.CFG ファイルが見つかり、レジストリ値 DBNamesDirectory='{0}' を作成しています。"
    notFoundPsqlReg="Zen ルート キー '{0}' は存在しません。"
    passRemovePsqlReg="レジストリ キー '{0}' を正常に削除しました。"
    warnRemovePsqlReg="警告: レジストリ キー '{0}' を削除できませんでした。"

    # COM un/registration.
    doRegisterCom="+++++ Zen COM インターフェイス ライブラリを登録しています..."
    doUnRegisterCom="+++++ Zen COM インターフェイス ライブラリの登録を解除しています。"
    passRegFile="COM インターフェイス '{0}' を正常に登録しました。"
    warnRegFile="警告: COM インターフェイス '{0}' を登録できませんでした。"
    passUnRegFile="COM インターフェイス '{0}' の登録を正常に解除しました。"
    warnUnRegFile="警告: COM インターフェイス '{0}' の登録を解除できませんでした。"

    # Firewall rules.
    warnNoRuleFile="警告: '{0}' が見つからないため、新しいファイアウォール規則 '{1}' を作成できません。"
    skipAddRule="ファイアウォール規則の作成をスキップします: 規則名 '{0}' は既に存在します。"
    passAddRule="すべてのファイアウォール プロファイルに新しいファイアウォール規則 '{0}' を正常に作成しました (enabled=no)。"
    warnAddRuleFailed="警告: すべてのファイアウォール プロファイルに新しいファイアウォール規則 '{0}' を作成できませんでした (enabled=no)。"
    doAddFWRules="+++++ Zen ファイアウォール規則を追加しています..."
    warnNoNetSecCreate="警告: NetSecurity PowerShell モジュールはインストールされていません。Zen ファイアウォール規則は作成されません。"
    warnNoNetSecModify="警告: NetSecurity PowerShell モジュールはインストールされていません。インストールされている Zen ファイアウォール規則は変更されません。"
    warnNoNetSecRemove="警告: NetSecurity PowerShell モジュールはインストールされていません。インストールされている Zen ファイアウォール規則は削除されません。"
    doRemoveFWRules="+++++ Zen ファイアウォール規則を削除しています。"
    passRemoveFWRule="'{0}*' と一致するファイアウォール規則名を正常に削除しました。"
    warnRemoveFWRule="警告: '{0}*' と一致するファイアウォール規則名を削除できませんでした。"
    failToEnableRules="警告: Windows ファイアウォール プロファイル '{0}' で、名前が 'Actian Zen*' に一致するファイアウォール規則を有効にできませんでした。"

    # Databases.
    doCreateDbs="+++++ Zen システム データベースを初期化しています..."
    #doRemoveDbs="+++++ Zen システム データベースをアンインストールしています。"
    skipCreateDbs="+++++ Zen システム データベースの初期化をスキップしています (Client または Reporting Engine インストール)..."
    #skipRemoveDbs="+++++ Zen システム データベースのアンインストールをスキップしています (Client または Reporting Engine がインストールされています)。"
    foundDbnames="'{0}DBNAMES.CFG' は既に存在します。Zen システム データベースの既存のストアド プロシージャは更新されます。"
    #noSetupDbCfgUpdate="警告: setupdb 構成ファイル '{0}' が見つからないため、Zen システム データベースのストアド プロシージャは更新されませんでした。"
    notFoundDbnames="'{0}DBNAMES.CFG' は存在しないため、Zen システム データベースが作成されます。"
    noSetupDbCfgCreate="警告: setupdb 構成ファイル '{0}' が見つからないため、Zen システム データベースは作成されませんでした。"
    runningSetupdb="'setupdbcli.exe {0}' を実行しています。'{1}' で結果を調べてください。"
    passSetupdb="'{0}bin\setupdbcli.exe' を正常に実行しました。'{1}' で結果を調べてください。"
    failSetupdb="警告: '{0}bin\setupdbcli.exe' を実行できませんでした。"
    noSetupDb="警告: '{0}bin\setupdbcli.exe' が見つからないため、Zen システム データベースは作成されませんでした。"
    noSetupDbRemove="警告: '{0}bin\setupdbcli.exe' が見つからないため、Zen システム データベースは削除されませんでした。"

    # Licensing.
    doAddTempLic="+++++ Zen 試用ライセンスを承認しています..."
    notFoundClilcadm="警告: '{0}bin\clilcadm.exe' が見つからないため、試用ライセンスは適用されませんでした。"
    passAddTempLic="Zen 試用ライセンス '{0}' を正常に承認しました。"
    warnAddTempLic="警告: {0} - {1} - {2}。"

    # E-Collect.
    doECollect="+++++ インストールされている Zen 製品の情報を収集しています..."
    skipECollect="+++++ インストールされている Zen 製品の情報収集をスキップしています (このプラットフォームでは、e-コレクトはサポートされていません)..."
    passECollect="インストールされている Zen 製品の情報を正常に収集しました。"
    warnECollect="警告: インストールされている Zen 製品の情報を収集できませんでした ({0} は '{1}' を返しました)。"
    infoECollectCopiedLog="情報: els.log を '{0}\zen_els_uninstall.log' にコピーしました。"

    # Update Royalty Record.
    doUpdateRoyaltyRec="+++++ ロイヤルティ レコードを更新しています..."
    passUpdateRoyaltyRec="ロイヤルティ レコードを正常に更新しました。"
    warnUpdateRoyaltyRec="警告: ロイヤルティ レコードを更新できませんでした ({0} は '{1}' を返しました)。"

    # Remove Files and Folders.
    warnRemoveDirArgs="警告: RemoveFolderIfEmpty 関数に正しくない数の引数が渡されました。"
    passRemoveDir="空のフォルダー '{0}' を正常に削除しました。"
    warnRemoveDir="警告: '{0}' を削除できませんでした。Remove-Item コマンドレットは次を返しました: '{1}'"
    passRemoveParent="空の親フォルダー '{0}' を正常に削除しました。"
    warnRemoveParent="親フォルダー '{0}' は空でないため、削除できませんでした。"
    doRemovePsqlFiles="+++++ Zen ファイルを削除しています。"
    passRemovePsqlFiles="'{0}' からすべてのファイルとフォルダーを正常に削除しました。"
    warnRemovePsqlFiles="警告: '{0}' から 1 つ以上のファイルまたはフォルダーを削除できませんでした。Remove-Item コマンドレットは次を返しました: '{1}'"
    keepDbnames="'{0}{1}' を保持しています。"
    passRemovePsqlItem="'{0}{1}' を正常に削除しました。"
    warnRemovePsqlItem="警告: '{0}{1}' を削除できませんでした。"
}
# SIG # Begin signature block
# MIIcMwYJKoZIhvcNAQcCoIIcJDCCHCACAQExCzAJBgUrDgMCGgUAMGkGCisGAQQB
# gjcCAQSgWzBZMDQGCisGAQQBgjcCAR4wJgIDAQAABBAfzDtgWUsITrck0sYpfvNR
# AgEAAgEAAgEAAgEAAgEAMCEwCQYFKw4DAhoFAAQUAuFfafWUrdHhGAIgWOgdJjh0
# 4SOgghcYMIID7jCCA1egAwIBAgIQfpPr+3zGTlnqS5p31Ab8OzANBgkqhkiG9w0B
# AQUFADCBizELMAkGA1UEBhMCWkExFTATBgNVBAgTDFdlc3Rlcm4gQ2FwZTEUMBIG
# A1UEBxMLRHVyYmFudmlsbGUxDzANBgNVBAoTBlRoYXd0ZTEdMBsGA1UECxMUVGhh
# d3RlIENlcnRpZmljYXRpb24xHzAdBgNVBAMTFlRoYXd0ZSBUaW1lc3RhbXBpbmcg
# Q0EwHhcNMTIxMjIxMDAwMDAwWhcNMjAxMjMwMjM1OTU5WjBeMQswCQYDVQQGEwJV
# UzEdMBsGA1UEChMUU3ltYW50ZWMgQ29ycG9yYXRpb24xMDAuBgNVBAMTJ1N5bWFu
# dGVjIFRpbWUgU3RhbXBpbmcgU2VydmljZXMgQ0EgLSBHMjCCASIwDQYJKoZIhvcN
# AQEBBQADggEPADCCAQoCggEBALGss0lUS5ccEgrYJXmRIlcqb9y4JsRDc2vCvy5Q
# WvsUwnaOQwElQ7Sh4kX06Ld7w3TMIte0lAAC903tv7S3RCRrzV9FO9FEzkMScxeC
# i2m0K8uZHqxyGyZNcR+xMd37UWECU6aq9UksBXhFpS+JzueZ5/6M4lc/PcaS3Er4
# ezPkeQr78HWIQZz/xQNRmarXbJ+TaYdlKYOFwmAUxMjJOxTawIHwHw103pIiq8r3
# +3R8J+b3Sht/p8OeLa6K6qbmqicWfWH3mHERvOJQoUvlXfrlDqcsn6plINPYlujI
# fKVOSET/GeJEB5IL12iEgF1qeGRFzWBGflTBE3zFefHJwXECAwEAAaOB+jCB9zAd
# BgNVHQ4EFgQUX5r1blzMzHSa1N197z/b7EyALt0wMgYIKwYBBQUHAQEEJjAkMCIG
# CCsGAQUFBzABhhZodHRwOi8vb2NzcC50aGF3dGUuY29tMBIGA1UdEwEB/wQIMAYB
# Af8CAQAwPwYDVR0fBDgwNjA0oDKgMIYuaHR0cDovL2NybC50aGF3dGUuY29tL1Ro
# YXd0ZVRpbWVzdGFtcGluZ0NBLmNybDATBgNVHSUEDDAKBggrBgEFBQcDCDAOBgNV
# HQ8BAf8EBAMCAQYwKAYDVR0RBCEwH6QdMBsxGTAXBgNVBAMTEFRpbWVTdGFtcC0y
# MDQ4LTEwDQYJKoZIhvcNAQEFBQADgYEAAwmbj3nvf1kwqu9otfrjCR27T4IGXTdf
# plKfFo3qHJIJRG71betYfDDo+WmNI3MLEm9Hqa45EfgqsZuwGsOO61mWAK3ODE2y
# 0DGmCFwqevzieh1XTKhlGOl5QGIllm7HxzdqgyEIjkHq3dlXPx13SYcqFgZepjhq
# IhKjURmDfrYwggR9MIIDZaADAgECAgMb5xUwDQYJKoZIhvcNAQELBQAwYzELMAkG
# A1UEBhMCVVMxITAfBgNVBAoTGFRoZSBHbyBEYWRkeSBHcm91cCwgSW5jLjExMC8G
# A1UECxMoR28gRGFkZHkgQ2xhc3MgMiBDZXJ0aWZpY2F0aW9uIEF1dGhvcml0eTAe
# Fw0xNDAxMDEwNzAwMDBaFw0zMTA1MzAwNzAwMDBaMIGDMQswCQYDVQQGEwJVUzEQ
# MA4GA1UECBMHQXJpem9uYTETMBEGA1UEBxMKU2NvdHRzZGFsZTEaMBgGA1UEChMR
# R29EYWRkeS5jb20sIEluYy4xMTAvBgNVBAMTKEdvIERhZGR5IFJvb3QgQ2VydGlm
# aWNhdGUgQXV0aG9yaXR5IC0gRzIwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEK
# AoIBAQC/cWII8fpZNPcbyRij94BJWOkigxOmxSBDATuE8eaFSZ8n6vaEG06gtNtw
# mMcyAbEFPgdO7vT6Ty9ZMCLnqxlWa+KAB/zzFnWAOVF75fk1tnROqY2CE+S2P6kD
# g/qivooVan/eC8O2GRQFyurDqASUO0Z8Mg3zAGYiyI1pbTaMERi307IcYLQ4+gKM
# ztPdRgfeCj7rXXzIfPuwK1OkkmJpUSUFYRpEgYwsqUOWI9+sOoGaDinFHKnpXR62
# np4wCjnO8YiA+0tdzDLshWJDJTQCVicBkbQ7cCo/brHonIgBfZ/U+dtTbWCdvyzn
# WKu4X0b8zsQbAzwJ60kxXGlGs+BHAgMBAAGjggEXMIIBEzAPBgNVHRMBAf8EBTAD
# AQH/MA4GA1UdDwEB/wQEAwIBBjAdBgNVHQ4EFgQUOpqFBxBnKLbv9r0FQW4gwZTa
# D94wHwYDVR0jBBgwFoAU0sSw0pHUTBFxs2HLPaH+3ahq1OMwNAYIKwYBBQUHAQEE
# KDAmMCQGCCsGAQUFBzABhhhodHRwOi8vb2NzcC5nb2RhZGR5LmNvbS8wMgYDVR0f
# BCswKTAnoCWgI4YhaHR0cDovL2NybC5nb2RhZGR5LmNvbS9nZHJvb3QuY3JsMEYG
# A1UdIAQ/MD0wOwYEVR0gADAzMDEGCCsGAQUFBwIBFiVodHRwczovL2NlcnRzLmdv
# ZGFkZHkuY29tL3JlcG9zaXRvcnkvMA0GCSqGSIb3DQEBCwUAA4IBAQBZC1O9koYR
# pyR77Vsxzx0fbHDFuG6+Trv2vpdQ4TB/uihcYpTC434z9/tCdoXblRyMIlh1CQyI
# ZWc5ChYJxaA4l6TFI5M/tBimAQZEkeOnaSe0WiV/Orcyzd2E/yo4KTOk3Weyhf6h
# iCAcUInI3Cr2QgM3TOaI39WvJPKxw9/MtezgmV63SVQgPJQYDMccUhhJpG3hs1gL
# ydjs2a4cMo4ocA3i/qYXnoQPvVdws1rpH6CGU7vvfP9pC+BIw7eTC8gKVMSsXRRn
# N2zKpS8xCDeqbm+MvJviV10kga+Xl5yErWysN0xm82GRESDkvjCfeqQpCbDhNF9k
# dxhAUd+MMKavMIIEozCCA4ugAwIBAgIQDs/0OMj+vzVuBNhqmBsaUDANBgkqhkiG
# 9w0BAQUFADBeMQswCQYDVQQGEwJVUzEdMBsGA1UEChMUU3ltYW50ZWMgQ29ycG9y
# YXRpb24xMDAuBgNVBAMTJ1N5bWFudGVjIFRpbWUgU3RhbXBpbmcgU2VydmljZXMg
# Q0EgLSBHMjAeFw0xMjEwMTgwMDAwMDBaFw0yMDEyMjkyMzU5NTlaMGIxCzAJBgNV
# BAYTAlVTMR0wGwYDVQQKExRTeW1hbnRlYyBDb3Jwb3JhdGlvbjE0MDIGA1UEAxMr
# U3ltYW50ZWMgVGltZSBTdGFtcGluZyBTZXJ2aWNlcyBTaWduZXIgLSBHNDCCASIw
# DQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAKJjCzlEuLsjp0RJuw7/ofBhClOT
# sJjbrSwPSsVu/4Y8U1UPFc4EPyv9qZaW2b5heQtbyUyGduXgQ0sile7CK0PBn9ho
# tI5AT+6FOLkRxSPyZFjwFTJvTlehroikAtcqHs1L4d1j1ReJMluwXplaqJ0oUA4X
# 7pbbYTtFUR3PElYLkkf8q672Zj1HrHBy55LnX80QucSDZJQZvSWA4ejSIqXQugJ6
# oXeTW2XD7hd0vEGGKtwITIySjJEtnndEH2jWqHR32w5bMotWizO92WPISZ06xcXq
# MwvS8aMb9Iu+2bNXizveBKd6IrIkri7HcMW+ToMmCPsLvalPmQjhEChyqs0CAwEA
# AaOCAVcwggFTMAwGA1UdEwEB/wQCMAAwFgYDVR0lAQH/BAwwCgYIKwYBBQUHAwgw
# DgYDVR0PAQH/BAQDAgeAMHMGCCsGAQUFBwEBBGcwZTAqBggrBgEFBQcwAYYeaHR0
# cDovL3RzLW9jc3Aud3Muc3ltYW50ZWMuY29tMDcGCCsGAQUFBzAChitodHRwOi8v
# dHMtYWlhLndzLnN5bWFudGVjLmNvbS90c3MtY2EtZzIuY2VyMDwGA1UdHwQ1MDMw
# MaAvoC2GK2h0dHA6Ly90cy1jcmwud3Muc3ltYW50ZWMuY29tL3Rzcy1jYS1nMi5j
# cmwwKAYDVR0RBCEwH6QdMBsxGTAXBgNVBAMTEFRpbWVTdGFtcC0yMDQ4LTIwHQYD
# VR0OBBYEFEbGaaMOShQe1UzaUmMXP142vA3mMB8GA1UdIwQYMBaAFF+a9W5czMx0
# mtTdfe8/2+xMgC7dMA0GCSqGSIb3DQEBBQUAA4IBAQB4O7SRKgBM8I9iMDd4o4Qn
# B28Yst4l3KDUlAOqhk4ln5pAAxzdzuN5yyFoBtq2MrRtv/QsJmMz5ElkbQ3mw2cO
# 9wWkNWx8iRbG6bLfsundIMZxD82VdNy2XN69Nx9DeOZ4tc0oBCCjqvFLxIgpkQ6A
# 0RH83Vx2bk9eDkVGQW4NsOo4mrE62glxEPwcebSAe6xp9P2ctgwWK/F/Wwk9m1vi
# FsoTgW0ALjgNqCmPLOGy9FqpAa8VnCwvSRvbIrvD/niUUcOGsYKIXfA9tFGheTMr
# Lnu53CAJE3Hrahlbz+ilMFcsiUk/uc9/yb8+ImhjU5q9aXSsxR08f5Lgw7wc2AR1
# MIIE0DCCA7igAwIBAgIBBzANBgkqhkiG9w0BAQsFADCBgzELMAkGA1UEBhMCVVMx
# EDAOBgNVBAgTB0FyaXpvbmExEzARBgNVBAcTClNjb3R0c2RhbGUxGjAYBgNVBAoT
# EUdvRGFkZHkuY29tLCBJbmMuMTEwLwYDVQQDEyhHbyBEYWRkeSBSb290IENlcnRp
# ZmljYXRlIEF1dGhvcml0eSAtIEcyMB4XDTExMDUwMzA3MDAwMFoXDTMxMDUwMzA3
# MDAwMFowgbQxCzAJBgNVBAYTAlVTMRAwDgYDVQQIEwdBcml6b25hMRMwEQYDVQQH
# EwpTY290dHNkYWxlMRowGAYDVQQKExFHb0RhZGR5LmNvbSwgSW5jLjEtMCsGA1UE
# CxMkaHR0cDovL2NlcnRzLmdvZGFkZHkuY29tL3JlcG9zaXRvcnkvMTMwMQYDVQQD
# EypHbyBEYWRkeSBTZWN1cmUgQ2VydGlmaWNhdGUgQXV0aG9yaXR5IC0gRzIwggEi
# MA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQC54MsQ1K92vdSTYuswZLiBCGzD
# BNliF44v/z5lz4/OYuY8UhzaFkVLVat4a2ODYpDOD2lsmcgaFItMzEUz6ojcnqOv
# K/6AYZ15V8TPLvQ/MDxdR/yaFrzDN5ZBUY4RS1T4KL7QjL7wMDge87Am+GZHY23e
# cSZHjzhHU9FGHbTj3ADqRay9vHHZqm8A29vNMDp5T19MR/gd71vCxJ1gO7GyQ5HY
# pDNO6rPWJ0+tJYqlxvTV0KaudAVkV4i1RFXULSo6Pvi4vekyCgKUZMQWOlDxSq7n
# eTOvDCAHf+jfBDnCaQJsY1L6d8EbyHSHyLmTGFBUNUtpTrw700kuH9zB0lL7AgMB
# AAGjggEaMIIBFjAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQEAwIBBjAdBgNV
# HQ4EFgQUQMK9J47MNIMwojPX+2yz8LQsgM4wHwYDVR0jBBgwFoAUOpqFBxBnKLbv
# 9r0FQW4gwZTaD94wNAYIKwYBBQUHAQEEKDAmMCQGCCsGAQUFBzABhhhodHRwOi8v
# b2NzcC5nb2RhZGR5LmNvbS8wNQYDVR0fBC4wLDAqoCigJoYkaHR0cDovL2NybC5n
# b2RhZGR5LmNvbS9nZHJvb3QtZzIuY3JsMEYGA1UdIAQ/MD0wOwYEVR0gADAzMDEG
# CCsGAQUFBwIBFiVodHRwczovL2NlcnRzLmdvZGFkZHkuY29tL3JlcG9zaXRvcnkv
# MA0GCSqGSIb3DQEBCwUAA4IBAQAIfmyTEMg4uJapkEv/oV9PBO9sPpyIBslQj6Zz
# 91cxG7685C/b+LrTW+C05+Z5Yg4MotdqY3MxtfWoSKQ7CC2iXZDXtHwlTxFWMMS2
# RJ17LJ3lXubvDGGqv+QqG+6EnriDfcFDzkSnE3ANkR/0yBOtg2DZ2HKocyQetawi
# DsoXiWJYRBuriSUBAA/NxBti21G00w9RKpv0vHP8ds42pM3Z2Czqrpv1KrKQ0U11
# GIo/ikGQI31bS/6kA1ibRrLDYGCD+H1QQc7CoZDDu+8CL9IVVO5EFdkKrqeKM+2x
# LXY2JtwE65/3YR8V3Idv7kaWKK2hJn0KCacuBKONvPi8BDABMIIFJjCCBA6gAwIB
# AgIICsxCB6AJxjswDQYJKoZIhvcNAQELBQAwgbQxCzAJBgNVBAYTAlVTMRAwDgYD
# VQQIEwdBcml6b25hMRMwEQYDVQQHEwpTY290dHNkYWxlMRowGAYDVQQKExFHb0Rh
# ZGR5LmNvbSwgSW5jLjEtMCsGA1UECxMkaHR0cDovL2NlcnRzLmdvZGFkZHkuY29t
# L3JlcG9zaXRvcnkvMTMwMQYDVQQDEypHbyBEYWRkeSBTZWN1cmUgQ2VydGlmaWNh
# dGUgQXV0aG9yaXR5IC0gRzIwHhcNMTcwNDA1MjAwMjAwWhcNMjAwNDEwMTk1MTM5
# WjBoMQswCQYDVQQGEwJVUzEOMAwGA1UECBMFVGV4YXMxDzANBgNVBAcTBkF1c3Rp
# bjEbMBkGA1UEChMSQWN0aWFuIENvcnBvcmF0aW9uMRswGQYDVQQDExJBY3RpYW4g
# Q29ycG9yYXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDDl5bZ
# gsKcnWzrY8rYrsSmI4l9tC5Ipk1Dp/LHYZQ/1uwgzbiUQavCOKhJ6q+XMGHIOF6P
# N/PkfIfrf1XygR3bJy+f0u4HICioNg0GmfBgEUHVpZTkeRxCT+Dd1FeDDljp9J41
# AVkXh8SnzKvSGKjaUbp3DkH2Y5P24pHR9zhpx2hnqSF0PHOT0fGFcF4SAeYBTIT0
# nSmVPxjs2+NV1M81xtCLLLCF9ceV784DyY7MhoHI9Q7fHpxUJZi0nuHRzyUurofC
# QmJhOLd5vm7re/WUAHfhG3P7dIkm1mI9SHAWid2A/4vGWHb/bR5mwJTDxvPmgfzz
# EVmR8PHPNTsRXZYpAgMBAAGjggGFMIIBgTAMBgNVHRMBAf8EAjAAMBMGA1UdJQQM
# MAoGCCsGAQUFBwMDMA4GA1UdDwEB/wQEAwIHgDA1BgNVHR8ELjAsMCqgKKAmhiRo
# dHRwOi8vY3JsLmdvZGFkZHkuY29tL2dkaWcyczUtMi5jcmwwXQYDVR0gBFYwVDBI
# BgtghkgBhv1tAQcXAjA5MDcGCCsGAQUFBwIBFitodHRwOi8vY2VydGlmaWNhdGVz
# LmdvZGFkZHkuY29tL3JlcG9zaXRvcnkvMAgGBmeBDAEEATB2BggrBgEFBQcBAQRq
# MGgwJAYIKwYBBQUHMAGGGGh0dHA6Ly9vY3NwLmdvZGFkZHkuY29tLzBABggrBgEF
# BQcwAoY0aHR0cDovL2NlcnRpZmljYXRlcy5nb2RhZGR5LmNvbS9yZXBvc2l0b3J5
# L2dkaWcyLmNydDAfBgNVHSMEGDAWgBRAwr0njsw0gzCiM9f7bLPwtCyAzjAdBgNV
# HQ4EFgQUd28uU+LsLPArCXvwS49GX5IaKcUwDQYJKoZIhvcNAQELBQADggEBAKMz
# CNStFW8r/jaaSDXwbWnpmRjeGx3FZbmwH+r2gv2UQ5Se0ckdRm86CfF8AjGnFd/d
# pOSsLWUSWx5+gdqorB9+xY6KrB0br08CfRYvvw+ZYiRrnvLEJyD3hc13tHYpmDOS
# lamg3seFzk/rKe5g/ZXwDQXOiAMEkH5xBHS3BBILQarbiJ14CLM9eLDSeN8L/Gdy
# SvMX4nWy9UusiXP3ZXvuVPUlAOBvDUZaM1BPir0ZWY/m2FOW8bHxXzTG8VtdgY0y
# JIkaii7O3A1kkB9ofB47LQN/CuwcOOKQx0hNL3Nlq7zsFizWk6MO3ZmPNjjimkI6
# mT0NuoY6yd9VefcO95MxggSFMIIEgQIBATCBwTCBtDELMAkGA1UEBhMCVVMxEDAO
# BgNVBAgTB0FyaXpvbmExEzARBgNVBAcTClNjb3R0c2RhbGUxGjAYBgNVBAoTEUdv
# RGFkZHkuY29tLCBJbmMuMS0wKwYDVQQLEyRodHRwOi8vY2VydHMuZ29kYWRkeS5j
# b20vcmVwb3NpdG9yeS8xMzAxBgNVBAMTKkdvIERhZGR5IFNlY3VyZSBDZXJ0aWZp
# Y2F0ZSBBdXRob3JpdHkgLSBHMgIICsxCB6AJxjswCQYFKw4DAhoFAKCBijAZBgkq
# hkiG9w0BCQMxDAYKKwYBBAGCNwIBBDAcBgorBgEEAYI3AgELMQ4wDAYKKwYBBAGC
# NwIBFTAjBgkqhkiG9w0BCQQxFgQUK/6B7WxUIspVf8FpyKoMY3MAjMwwKgYKKwYB
# BAGCNwIBDDEcMBqhGIAWaHR0cDpcXHd3dy5hY3RpYW4uY29tIDANBgkqhkiG9w0B
# AQEFAASCAQB5TFntY7cUDnjhRd+91yc6cUYuqrvzJU3ElRIq8wiUtgT4tE/jftqk
# imHzutm2ehrltLH025jSCE+H2k415rxtxVyDy7lHbgw7teeSvqY0HptDV+uIKXUM
# aHk4kFGSIV0HuhZJaVeF8Y5HGCeDl3z7mvLyvrFTzN1iQzaM0iFTtM75nhyZvZ+o
# hayi7ZnDFcyjRkP7S9DpX9HjqFSi2VGcJz/dOjDwJ5OQfiuCYA6atk26vRjzPSBp
# cpIIjAx6NqZU0zu+ulOx/SrKAm4KPp4zfxEm6iW5/titMXQT68m64HA/h8jRGau4
# CQ5zlcLyPehHlwsjBGA918lU8D7KKsg5oYICCzCCAgcGCSqGSIb3DQEJBjGCAfgw
# ggH0AgEBMHIwXjELMAkGA1UEBhMCVVMxHTAbBgNVBAoTFFN5bWFudGVjIENvcnBv
# cmF0aW9uMTAwLgYDVQQDEydTeW1hbnRlYyBUaW1lIFN0YW1waW5nIFNlcnZpY2Vz
# IENBIC0gRzICEA7P9DjI/r81bgTYapgbGlAwCQYFKw4DAhoFAKBdMBgGCSqGSIb3
# DQEJAzELBgkqhkiG9w0BBwEwHAYJKoZIhvcNAQkFMQ8XDTIwMDMwNzAxMTE1NFow
# IwYJKoZIhvcNAQkEMRYEFKoiN7/SbxL5qUVgmlTqXN9RECN5MA0GCSqGSIb3DQEB
# AQUABIIBAJ3NhhXGWNZM9OhLO01Nn3hREkjCuF2UvTOLMKDZ2rKFCsn1fXyQa1qD
# 1/BieTvsVKRYaN8kSFbWpLCukhqHJp3f9nYQGC376ijwb1LObSrvDZfFLDPUQAnd
# sE8vSAy9KapVPUpmcdj20WdIgoateFIS4Ywdg9AoBo86sqPLKnyWXjfxymyCawYO
# R2BBq+JpM6IWFzoWFZrCAr9SAUtcKCZ3ImLRmhjoFaal6IrEUD8sI6CfXbWzWyfQ
# FThSBuI50H6y3psFg/3fbiGyadYwp0uOkpVWrCwqCepaN2Mf73cZhK78/nKOkl8f
# AyO48u8rBZHfxLl08HhmDdhRMMPyra0=
# SIG # End signature block
