##############################################################################
##
## Zen_PowerShell_Script_strings.psd1
##
## by Actian Corporation (http://www.actian.com/zen)
##
## Localized strings for Actian Zen PowerShell scripts.
##
##############################################################################
@{
    # High level error checks for all PowerShell scripts.
    errNoProductType="ERROR: Unable to load install configuration file '{0}'."
    errNoWGInstall="ERROR: Zen Workgroup Engine installations are not supported on this operating system."
    errNoWG64="ERROR: Zen Workgroup Engine can only be installed on 32-bit systems."
    errNoRPT32="ERROR: The 'reporting' option can only be used on 64-bit Windows Nano Server systems."
    errNoPSQL="ERROR: An incompatible version of PSQL is currently installed.  Please uninstall the incompatible version befor installing Zen."
    errNoOtherPsql="ERROR: Zen '{0}' cannot be installed when '{1}' exists."
    errNoArm64="ERROR: Installing Zen on 64-bit ARM systems is not supported at this time."
    errUnknown="ERROR: The script encountered an unknown error, please review the messages displayed above."
    errWrongPlatform="ERROR: This package is intended for the {0} platform and the detected platform is {1}."

    # Log file.
    infoStart=         "INFO: Start                           : {0}"
    infoCulture=       "INFO: Culture                         : {0}"
    infoCompName=      "INFO: Computer Name                   : {0}"
    infoProcNum=       "INFO: Number of Processors            : {0}"
    infoWinArch=       "INFO: Processor Architecture          : {0}"
    infoWinPlat=       "INFO: OS Version Platform             : {0}"
    infoWinVer=        "INFO: OS Version                      : {0}"
    infoIs64Bit=       "INFO: Is 64-bit OS                    : {0}"
    infoCLRVer=        "INFO: Common Language Runtime Version : {0}"
    infoUserName=      "INFO: User Name                       : {0}"
    infoUserDomain=    "INFO: User Domain                     : {0}"
    infoPSVer=         "INFO: PowerShell version              : {0}"
    infoPSCLRVer=      "INFO: PowerShell CLR Version          : {0}"
    infoFWDomainPS=    "INFO: Firewall Domain Profile State   : {0}"
    infoFWPrivatePS=   "INFO: Firewall Private Profile State  : {0}"
    infoFWPublicPS=    "INFO: Firewall Public Profile State   : {0}"
    infoScriptName=    "INFO: Script Name                     : {0}"
    infoScriptPath=    "INFO: Script Path                     : {0}"
    infoUpdating=      "INFO: Updating Existing Zen           : {0}"
    infoRunning=       "Running '{0} {1}', please wait..."
    infoEnd=         "INFO: End                             : {0}"
    completeInstallMsg="+++++ Zen Install Complete!  See log file: '{0}'"
    completeRemoveMsg="+++++ Zen Removal Complete!  See log file: '{0}'"

    # Service start/stop.
    doStopSvcs="+++++ Checking for any running '{0}' services..."
    passStopSvcs="Successfully stopped service '{0}'."
    warnStopSvcs="WARNING: Unable to stop service '{0}'."
    notFoundRunningSvcs="There are no running '{0}' services."
    notFoundSvcs="There are no '{0}' services to be started."
    skipAddSvc="Skipping service creation: service name '{0}' already exists."
    warnNoSvcFile="WARNING: unable to locate '{0}', cannot create service name '{1}'."
    passAddSvc="Successfully created new service '{0}'."
    errAddSvc="ERROR: Unable to create new service '{0}'."
    doAddSvc="+++++ Creating Zen services..."
    doRemoveSvc="+++++ Removing Zen services."
    svcDesc="Manages the {0}."
    warnSvcNotStopped="WARNING: The service '{0}' is not in the 'stopped' state, unable to delete it."
    passRemoveSvc="Successfully deleted service '{0}'."
    warnUnableToStopSvc="WARNING: Unable to delete service '{0}'.  The service control utility returned: '{1}'."
    doStartPsqlSvcs="+++++ Starting Zen services..."
    passStartSvcs="Successfully started service '{0}'."
    skipStartSvcs="The '{0}' service is already running."
    errStartSvcs="ERROR: Unable to start service '{0}'."

    # Unpacking files.
    doUnpack="+++++ Unpacking files."
    passUnpack="Successfully extracted '{0}' content to '{1}'."
    warnUnpack="WARNING: Unable to extract '{0}' content to '{1}'."

    # Remove files.
    doDelFiles="+++++ Removing non-{0} files."
    passDelFiles="Successfully removed non-{0} file '{1}'."
    warnDelFiles="WARNING: unable to remove non-{0} file '{1}'."

    # Updating ACLs.
    doUpdateACLs="Applying ACL '{0}' to '{1}'."
    passUpdateACLs="Successfully applied ACL '{0}' to '{1}'."
    warnUpdateACLs1="WARNING: Incorrect number of arguments passed to UpdateACLs function."
    warnUpdateACLs2="WARNING: Unable to locate '{0}', ACL '{1}' was NOT applied."
    warnUpdateACLs3="WARNING: unable to update the ACL for '{0}' to '{1}'."

    # Reading from config file.
    doReadCfgFile="+++++ Reading values from {0}..."
    addVarFromCfg="Updating existing variable '{0}' to '{1}'."
    updateVarFromCfg="Creating variable '{0}' to '{1}'."
    errNoCfgFile="ERROR: Unable to locate configuration file '{0}', the installation cannot continue."

    # Performance Counter Sets.
    doUpdatePerfMonCtr="+++++ Unloading Zen counter sets for Windows Performance Monitor."
    warnNotFoundPerfMonCtrCfg="WARNING: Unable to locate performance monitor counter set configuration file '{0}', skipping unload."
    passUpdatePerfMonCtr="Successfully unloaded Zen counter sets for Windows Performance Monitor."
    warnUpdatePerfMonCtr="WARNING: Unable to unload Zen counter sets for Windows Performance Monitor. 'Unlodctr.exe /m:{0}' returned '{1}, {2}'."
    doLoadPerfMonCtr="+++++ Loading Zen counter sets for Windows Performance Monitor."
    #warnNotFoundPerfMonCtrCfg - see UnloadPerfMonCounterSets
    passLoadPerfMonCtr="Successfully loaded Zen counter sets for Windows Performance Monitor."
    warnLoadPerfMonCtr="WARNING: Unable to load Zen counter sets for Windows Performance Monitor. 'Lodctr.exe {0}' returned '{1}, {2}'."

    # Remove obsolete files.
    doRemoveObsoleteFiles="+++++ Removing obsolete files during upgrade."
    passRemoveObsoleteFiles="Successfully removed obsolete file '{0}'."
    warnRemoveObsoleteFiles="WARNING: Unable to remove obsolete file '{0}'."

    # Path env var edits.
    doUpdatePath="+++++ Checking %PATH% environment variables..."
    doRemoveFromPath="+++++ Removing '{0}' from %PATH% environment variables."
    skipUpdatePath="{0} %PATH% environment variable already contains '{1}'."
    passUpdatePath="Successfully added '{0}' to {1} %PATH% environment variable."
    warnUpdatePath="WARNING: Unable to add '{0}' to {1} %PATH% environment variable."
    warnRemoveFromPathArgs="WARNING: Incorrect number of arguments passed to RemoveStrFromPath function."
    passRemoveFromPath="Successfully removed '{0}' from {1} %PATH% environment variable."
    warnRemoveFromPath="WARNING: Unable to remove '{0}' from {1} %PATH% environment variable."

    # Registry edits.
    doPsqlReg="+++++ Updating system registry..."
    doRemovePsqlReg="+++++ Removing registry key '{0}'."
    skipCreateRootKey="Root key '{0}' already exists."
    addRootKey="Creating root key '{0}'."
    skipInstallInfoKey="InstallInfo key '{0}' already exists."
    addInstallInfoKey="Creating InstallInfo key '{0}'."
    addInstallInfoValues="Setting InstallInfo values, see log file '{0}' for details."
    skipElsKey="ELS key '{0}' already exists."
    addElsKey="Creating ELS key '{0}'."
    addElsValues="Setting ELS values, see log file '{0}' for details."
    addDBNamesDirectory="Found existing DBNAMES.CFG file, creating registry value DBNamesDirectory='{0}'."
    notFoundPsqlReg="The Zen root key '{0}' does not exist."
    passRemovePsqlReg="Successfully removed registry key '{0}'."
    warnRemovePsqlReg="WARNING: Unable to remove registry key '{0}'."

    # COM un/registration.
    doRegisterCom="+++++ Registering Zen COM interface libraries..."
    doUnRegisterCom="+++++ Unregistering Zen COM interface libraries."
    passRegFile="Successfully registered COM interface '{0}'."
    warnRegFile="WARNING: Unable to register COM interface '{0}'."
    passUnRegFile="Successfully unregistered COM interface '{0}'."
    warnUnRegFile="WARNING: Unable to unregister COM interface '{0}'."

    # Firewall rules.
    warnNoRuleFile="WARNING: Cannot locate '{0}', cannot create new firewall rule '{1}'."
    skipAddRule="Skipping creation of firewall rule: rule name '{0}' already exists."
    passAddRule="Successfully created new firewall rule '{0}' for all firewall profiles (enabled=no)."
    warnAddRuleFailed="WARNING: Unable to create new firewall rule '{0}' for all firewall profiles (enabled=no)."
    doAddFWRules="+++++ Adding Zen firewall rules..."
    warnNoNetSecCreate="WARNING: The NetSecurity PowerShell Module is not installed. The Zen firewall rules will NOT be created."
    warnNoNetSecModify="WARNING: The NetSecurity PowerShell Module is not installed. Any installed Zen firewall rules will NOT be modified."
    warnNoNetSecRemove="WARNING: The NetSecurity PowerShell Module is not installed. Any installed Zen firewall rules will NOT be removed."
    doRemoveFWRules="+++++ Removing Zen firewall rules."
    passRemoveFWRule="Successfully removed firewall rule names matching '{0}*'."
    warnRemoveFWRule="WARNING: Unable to remove firewall rule names matching '{0}*'."
    failToEnableRules="WARNING: Unable to enable firewall rules matching name 'Actian Zen*' on Windows Firewall profile '{0}'."

    # Databases.
    doCreateDbs="+++++ Initializing Zen system databases..."
    #doRemoveDbs="+++++ Uninstalling Zen system databases."
    skipCreateDbs="+++++ Skipping initialization of Zen system databases (Client or Reporting Engine installation)..."
    #skipRemoveDbs="+++++ Skipping uninstallation of Zen system databases (Client or Reporting Engine installed)."
    foundDbnames="'{0}DBNAMES.CFG' already exists, the existing stored procedures for the Zen system databases will be refreshed."
    #noSetupDbCfgUpdate="WARNING: Unable to locate setupdb configuration file '{0}', the stored procedures for the Zen system databases were NOT refreshed."
    notFoundDbnames="'{0}DBNAMES.CFG' does not exist, the Zen system databases will be created."
    noSetupDbCfgCreate="WARNING: Unable to locate setupdb configuration file '{0}', the Zen systems databases were NOT created."
    runningSetupdb="Executing 'setupdbcli.exe {0}', check '{1}' for the results."
    passSetupdb="Successfully executed '{0}bin\setupdbcli.exe', check '{1}' for results."
    failSetupdb="WARNING: Failed to execute '{0}bin\setupdbcli.exe'."
    noSetupDb="WARNING: Unable to locate '{0}bin\setupdbcli.exe', the Zen system databases were NOT created.'"
    noSetupDbRemove="WARNING: Unable to locate '{0}bin\setupdbcli.exe', the Zen system databases were NOT removed.'"

    # Licensing.
    doAddTempLic="+++++ Authorizing Zen trial license..."
    notFoundClilcadm="WARNING: Unable to locate '{0}bin\clilcadm.exe', the trial license was not applied."
    passAddTempLic="Successfully authorized Zen trial license '{0}'."
    warnAddTempLic="WARNING: {0} - {1} - {2}."

    # E-Collect.
    doECollect="+++++ Collecting information on installed Zen products..."
    skipECollect="+++++ Skipping information collection on installed Zen products (eCollect not supported on this platform)..."
    passECollect="Successfully collected information on installed Zen products."
    warnECollect="WARNING: Unable to collect information on installed Zen products (the {0} returned '{1}')."
    infoECollectCopiedLog="INFO: Copied els.log to '{0}\zen_els_uninstall.log'."

    # Update Royalty Record.
    doUpdateRoyaltyRec="+++++ Updating royalty record..."
    passUpdateRoyaltyRec="Successfully updated royalty record."
    warnUpdateRoyaltyRec="WARNING: Unable to update royalty record (the {0} returned '{1}')."

    # Remove Files and Folders.
    warnRemoveDirArgs="WARNING: Incorrect number of arguments passed to RemoveFolderIfEmpty function."
    passRemoveDir="Successfully removed empty folder '{0}'."
    warnRemoveDir="WARNING: Unable to remove '{0}'. The Remove-Item cmdlet returned: '{1}'"
    passRemoveParent="Successfully removed empty parent folder '{0}'."
    warnRemoveParent="Unable to remove parent folder '{0}' because is is not empty."
    doRemovePsqlFiles="+++++ Removing Zen files."
    passRemovePsqlFiles="Successfully removed all files and folders from '{0}'."
    warnRemovePsqlFiles="WARNING: Unable to remove one or more files or folders from '{0}'. The Remove-Item cmdlet returned: '{1}'"
    keepDbnames="Keeping '{0}{1}'."
    passRemovePsqlItem="Successfully removed '{0}{1}'."
    warnRemovePsqlItem="WARNING: Unable to remove '{0}{1}'."
}